/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.controllers;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * Created by Dmytro on 01.01.14 at 22:00
 * Project: crowly
 */
@Controller("httpErrorsController")
public class HTTPErrorsController {

    @RequestMapping(value = "/errors/400")
    public String handle400() {
        return "redirect:/dashboard/home";
    }

    @RequestMapping(value = "/errors/403")
    public String handle403() {
        return "redirect:/dashboard/home";
    }

    @RequestMapping(value = "/errors/404")
    public String handle404() {
        return "redirect:/dashboard/home";
    }

}