/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.repositories;

import io.github.autsia.crowly.model.CrowlyUser;
import org.springframework.data.mongodb.repository.MongoRepository;

/**
 * Created by Dmytro on 31.12.13 at 16:17
 * Project: crowly
 */
public interface UserRepository extends MongoRepository<CrowlyUser, String> {

    public CrowlyUser findById(String id);

    public CrowlyUser findByEmail(String email);

}
