/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.services.scheduling;

import io.github.autsia.crowly.model.Campaign;

import java.util.List;

/**
 * Created by Dmytro on 4/25/2014 at 22:09
 * Project: crowly
 */
public interface CampaignsManager {

    public void init();

    public void startCampaign(Campaign campaign);

    public void stopCampaign(Campaign campaign);

    public void startAll(List<Campaign> campaigns);

    public void stopAll(List<Campaign> campaigns);

}
