<%--
  ~ Copyright 2014 Dmytro Titov
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>

<div ng-controller="CampaignsController" data-ng-init="init()">

    <div class="well" ng-repeat="campaign in campaigns" add-switchers>
        <div>
            <h3><a href="/dashboard/campaigns/{{campaign.id}}">{{campaign.name}}</a>
                &nbsp;&nbsp;
                <i class="fa fa-pencil-square-o"></i>
                &nbsp;&nbsp;
                <a href="/dashboard/campaigns/export/{{campaign.id}}"><i class="fa fa-file-pdf-o"></i></a>
            </h3>
        </div>

        <span>Details</span>

        <div class="main-campaign-info">
            <div>
                Locations:
                <span ng-repeat="location in campaign.locations">
                    {{location}}
                </span>
            </div>
            <div>
                Languages:
                <span ng-repeat="language in campaign.languages">
                    {{language}}
                </span>
            </div>
        </div>
        <div class="pull-right">
            <span ng-repeat="socialEndpoint in campaign.socialEndpointsIcons" ng-bind-html="socialEndpoint"></span>
            <input type="checkbox" class="campaign-status">
        </div>
    </div>

</div>
